Arch Space/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(4 intermediate revisions by 2 users not shown)
Line 2: Line 2:


{{Docnav/ru
{{Docnav/ru
|[[Arch_SectionPlane/ru|Плоскость Сечения]]
|[[Arch_Roof/ru|Крыша]]
|[[Arch_Stairs/ru|Лестницы]]
|[[Arch_Stairs/ru|Лестница]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Roof.svg
|IconL=Arch_SectionPlane.svg
|IconR=Arch_Stairs.svg
|IconR=Arch_Stairs.svg
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
Line 21: Line 21:
}}
}}
</div>
</div>

==Description==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 28: Line 30:


[[Image:Arch Space example.jpg|640px]]
[[Image:Arch Space example.jpg|640px]]

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
''На рисунке выше пространственный объект создан из существующего твердотельного объекта, затем две стены добавлены как границы, и режим показа установлен в "detailed" для показа занимаемой площади.''
''На рисунке выше пространственный объект создан из существующего твердотельного объекта, затем две стены добавлены как границы, и режим показа установлен в "detailed" для показа занимаемой площади.''
</div>
</div>


<span id="Usage"></span>
==Применение==
==Применение==


Line 39: Line 43:
</div>
</div>


<span id="Limitations"></span>
===Ограничения===
===Ограничения===


Line 44: Line 49:
* See the [http://forum.freecadweb.org/viewtopic.php?f=9&t=4275 forum announcement].
* See the [http://forum.freecadweb.org/viewtopic.php?f=9&t=4275 forum announcement].


<span id="Properties"></span>
==Свойства==
==Свойства==


Line 62: Line 68:
* {{PropertyView|ShowUnit}}: Show the unit suffix or not
* {{PropertyView|ShowUnit}}: Show the unit suffix or not


<span id="Options"></span>
==Опции==
==Опции==


* To create zones that group several spaces, use a [[Arch BuildingPart]] and set its IFC type to "Spatial Zone"
* To create zones that group several spaces, use an [[Arch_BuildingPart|Arch BuildingPart]] and set its IFC type to "Spatial Zone".
* The space object has the same display modes as other Arch and Part objects, with one more, called '''Footprint''', that displays only the bottom face of the space. {{Version|0.19}}
* The Space object has the same display modes as other Arch and Part objects, with one more, called '''Footprint''', that displays only the bottom face of the space.


==Scripting==

<div class="mw-translate-fuzzy">
==Программирование==
==Программирование==
{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Инструмент Пространства можно использовать в сценариях python и [[макросы]], используя следующую функцию:
Инструмент Пространства можно использовать в сценариях python и [[макросы]], используя следующую функцию:
</div>
</div>

{{Code|code=
{{Code|code=
Space = makeSpace(objects=None, baseobj=None, name="Space")
Space = makeSpace(objects=None, baseobj=None, name="Space")
Line 78: Line 90:


* Creates a {{incode|Space}} object from the given {{incode|objects}} or {{incode|baseobj}}, which can be
* Creates a {{incode|Space}} object from the given {{incode|objects}} or {{incode|baseobj}}, which can be
** one document object, in which case it becomes the base shape of the space object, or
** one document object, in which case it becomes the base shape of the Space object, or
** a list of selection objects as returned by {{incode|FreeCADGui.Selection.getSelectionEx()}}, or
** a list of selection objects as returned by {{incode|FreeCADGui.Selection.getSelectionEx()}}, or
** a list of tuples {{incode|(object, subobjectname)}}
** a list of tuples {{incode|(object, subobjectname)}}


Пример:
Пример:

{{Code|code=
{{Code|code=
import FreeCAD, Arch
import FreeCAD, Arch
Line 97: Line 110:


After a space object is created, selected faces can be added to it with the following code:
After a space object is created, selected faces can be added to it with the following code:

{{Code|code=
{{Code|code=
import FreeCAD, FreeCADGui, Draft, Arch
import FreeCAD, FreeCADGui, Draft, Arch
Line 111: Line 125:


Boundaries can also be removed, again by selecting the indicated faces:
Boundaries can also be removed, again by selecting the indicated faces:

{{Code|code=
{{Code|code=
selection = FreeCADGui.Selection.getSelectionEx()
selection = FreeCADGui.Selection.getSelectionEx()
Line 118: Line 133:


{{Docnav/ru
{{Docnav/ru
|[[Arch_SectionPlane/ru|Плоскость Сечения]]
|[[Arch_Roof/ru|Крыша]]
|[[Arch_Stairs/ru|Лестницы]]
|[[Arch_Stairs/ru|Лестница]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Roof.svg
|IconL=Arch_SectionPlane.svg
|IconR=Arch_Stairs.svg
|IconR=Arch_Stairs.svg
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg

Latest revision as of 21:34, 6 November 2023

Arch Space

Системное название
Arch Space
Расположение в меню
Архитектура → Пространство
Верстаки
Arch
Быстрые клавиши
S P
Представлено в версии
0.14
См. также
Arch Wall/ru, Arch Structure/ru

Description

Определение

Инструмент Пространство позволяет определить пустое пространство, базируясь на твердой оболочке, или определив границы, или и тем, и другим. Если он базируется только на границах, объем вычисляется, исходя из ограничительного блока всех заданных границ, и вычитая пространство за каждой границей. Пространственный объект всегда определяет твердотельный объём. Площадь пола пустого пространства вычисляемая пересечением горизонтальной плоскости через центр масс пустого пространства, так же может показываться установкой режима показа пространственного объекта в "detailed".

На рисунке выше пространственный объект создан из существующего твердотельного объекта, затем две стены добавлены как границы, и режим показа установлен в "detailed" для показа занимаемой площади.

Применение

  1. Выберите существующий твердый объект или грани на граничных объектах
  2. Нажмите кнопку Arch Space или нажмите клавиши S, P

Ограничения

Свойства

  • ДанныеBase: Базовый объект, если он есть (должен быть твердым)
  • Данные Boundaries: список необязательных граничных элементов
  • ВидText: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
  • ВидFontName: The name of the font
  • ВидTextColor: The color of the text
  • ВидFontSize: The size of the text
  • ВидFirstLine: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
  • ВидLineSpacing: The space between the lines of text
  • ВидTextPosition: The position of the text. Leave (0,0,0) for automatic position
  • ВидTextAlign: The justification of the text
  • ВидDecimals: The number of decimals to use for calculated texts
  • ВидShowUnit: Show the unit suffix or not

Опции

  • To create zones that group several spaces, use an Arch BuildingPart and set its IFC type to "Spatial Zone".
  • The Space object has the same display modes as other Arch and Part objects, with one more, called Footprint, that displays only the bottom face of the space.

Scripting

Программирование

Смотрите так же: Основы составления скриптов в FreeCAD.

Инструмент Пространства можно использовать в сценариях python и макросы, используя следующую функцию:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Creates a Space object from the given objects or baseobj, which can be
    • one document object, in which case it becomes the base shape of the Space object, or
    • a list of selection objects as returned by FreeCADGui.Selection.getSelectionEx(), or
    • a list of tuples (object, subobjectname)

Пример:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

After a space object is created, selected faces can be added to it with the following code:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Boundaries can also be removed, again by selecting the indicated faces:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)